<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @honors = Honor.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @honors = Honor.all.page(params[:page]).per(10)
  end


%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('honor.year') %></th>
			<th class="span3"><%= t('honor.award_name') %></th>
		</tr>
	</thead>
	<tbody id="tbody_honors" class="sort-holder">
		
		
	<% @honors.each do |honor| %>	
			
	<tr id="<%= dom_id honor %>" class="with_action">
		<td><%= honor.year %></td>
		<td>
		<%= link_to honor.award_name, panel_personal_honor_front_end_honor_path(honor) %>
		</td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_honor_back_end_honor_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_honor_plugin_honor_path, :class => 'btn btn-primary pull-right' %>
	<div id="honor_pagination" class="paginationFixed">
	<%= paginate @honors, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
